audio/{qjackctl,qsampler,qsynth}: update to version 0.5.0
ClosedPublic

Authored by lbdm_privacychain.ch on Jan 11 2018, 8:15 PM.

Details

Summary
  • update to v. 0.5.0
  • switch OPTIONS_DEFAULT to QT5
  • switch to DISTVERSION

TODO:

  • switch to GitHub [DONE]
  • fix audio/qsampler build [DONE]
  • eventual necessary fixes
Test Plan

Fixed

audio/qsampler is failing to build:

/usr/bin/ld: undefined reference to symbol `XDeleteProperty' (try adding -lX11)
//usr/local/lib/libX11.so.6: could not read symbols: Bad value
c++: error: linker command failed with exit code 1 (use -v to see invocation)
gmake[4]: * [qsampler.mak:167: qsampler] Error 1
gmake[4]: Leaving directory '/usr/ports/audio/qsampler/work/qsampler-0.5.0/src'
gmake[3]:
* [qsampler.mak:39: sub-src-make_default] Error 2
gmake[3]: Leaving directory '/usr/ports/audio/qsampler/work/qsampler-0.5.0'
gmake[2]: *** [Makefile:91: src/qsampler] Error 2
gmake[2]: Leaving directory '/usr/ports/audio/qsampler/work/qsampler-0.5.0'

Fixed

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
lbdm_privacychain.ch retitled this revision from Update audio/{qjackctl,qsampler,qsynth} to version 0.5.0 to audio/{qjackctl,qsampler,qsynth}: update to version 0.5.0.Jan 11 2018, 8:17 PM
lbdm_privacychain.ch edited the summary of this revision. (Show Details)
lbdm_privacychain.ch updated this revision to Diff 37843.EditedJan 11 2018, 9:31 PM

Switched to GitHub.

Is this allowed? Upstream use an ugly way to tag revisions.

DISTVERSIONPREFIX= qsampler_
DISTVERSION= 0_5_0

lbdm_privacychain.ch edited the summary of this revision. (Show Details)Jan 11 2018, 9:40 PM
lbdm_privacychain.ch edited the test plan for this revision. (Show Details)

Fixing audio/qsampler build.

mat added inline comments.Jan 11 2018, 11:49 PM
audio/qjackctl/Makefile
56–57 ↗(On Diff #37845)

This is way way too late.

audio/qsampler/Makefile
46–47 ↗(On Diff #37845)

is way way too late.

audio/qsynth/Makefile
41–42 ↗(On Diff #37845)

same.

lbdm_privacychain.ch marked 3 inline comments as done.

Fixing.

Thanks!

mat added inline comments.Jan 12 2018, 1:34 PM
audio/qjackctl/Makefile
27–28 ↗(On Diff #37849)
48–57 ↗(On Diff #37849)

Don't add more tabs, it was just fine before.

lbdm_privacychain.ch updated this revision to Diff 37877.EditedJan 12 2018, 6:18 PM

More fixes.

"MAKE_JOBS_UNSAFE=yes" seems not needed anymore for audio/qjackctl.

lbdm_privacychain.ch marked 2 inline comments as done.Jan 12 2018, 6:20 PM

Done.

audio/qjackctl/Makefile
48–57 ↗(On Diff #37849)

What is the rule, ever if just a practical for the space after "="? I could not get it yet and I think I didn't see it in the Porter's Handbook.

Based on what I saw in most ports, I left one tab space after "=" unless it is a line break.

Thanks!

lbdm_privacychain.ch marked an inline comment as done.

Reverting "audio/qsynth/files/patch-Makefile.in" because it was just changing timestamps.

This revision was not accepted when it landed; it landed in state Needs Review.Jan 13 2018, 1:01 AM
Closed by commit rP458887: update to version 0.5.0 (authored by swills, committed by ). · Explain Why
This revision was automatically updated to reflect the committed changes.